%define upstream_name    Proc-Daemon
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Run a perl program as a daemon process
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Proc::ProcessTable)
BuildArch:  noarch

%{?perl_default_filter}

%description
Proc::Daemon provides the capability for a Perl program to run
as a Unix daemon process.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Proc

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.230.0-6.mga10
+ Revision: 2200427
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.230.0-5.mga9
+ Revision: 1805421
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-4.mga8
+ Revision: 1496952
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-3.mga7
+ Revision: 1270878
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-2.mga6
+ Revision: 1032696
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.230.0-1.mga6
+ Revision: 923913
- update to 0.23

* Sun Nov 15 2015 tv <tv> 0.220.0-1.mga6
+ Revision: 903366
- new release

* Thu Aug 13 2015 sander85 <sander85> 0.210.0-1.mga6
+ Revision: 864428
- update to 0.21

* Sun Jul 05 2015 sander85 <sander85> 0.200.0-1.mga6
+ Revision: 851501
- update to 0.20

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-7.mga5
+ Revision: 744630
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.140.0-6.mga5
+ Revision: 733329
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-5.mga5
+ Revision: 686055
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 guillomovitch <guillomovitch> 0.140.0-4.mga4
+ Revision: 565079
- spec file cleanup
- add Debian patch to fix CVE-2013-7135 (insecure PID file)

* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 514265
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 372132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 107366
- update to 0.14

* Sun Apr 03 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 80140
- update to 0.10

* Wed Mar 16 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 72356
- update to 0.09

* Mon Mar 14 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 70990
- update to 0.08

* Tue Feb 22 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 56737
- update to 0.07

* Thu Feb 17 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 53203
- update to 0.06

* Tue Jan 18 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 22785
- cleaning spec file
- imported package perl-Proc-Daemon


* Thu Nov 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.50.0-1mdv2011.0
+ Revision: 596010
- update to new version 0.05

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 404351
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.03-5mdv2009.0
+ Revision: 241847
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-3mdv2008.0
+ Revision: 86819
- rebuild


* Sun Apr 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdk
- contributed by Kyle Yencer <kyle@yencer.net>

